com.trendmicro.ds.appcontrol.rest.object

## Enum InventoryMetadataItem.State

- java.lang.Object
- - java.lang.Enum<InventoryMetadataItem.State>
  - - com.trendmicro.ds.appcontrol.rest.object.InventoryMetadataItem.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InventoryMetadataItem.State>
  Enclosing class:
    InventoryMetadataItem

      public static enum InventoryMetadataItem.State
      extends java.lang.Enum<InventoryMetadataItem.State>

  The possible states of an inventory list.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUILDING` The inventory list is being built on the host.
    `COMPLETE` The inventory scan has been completed.
    `FAILED` The inventory scan has failed.
    `REQUESTED_USER` The inventory scan has been requested by a user.
    `UNKNOWN` Transient state when the inventory build has not yet started.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InventoryMetadataItem.State` | `fromValue(int value)`
    `static InventoryMetadataItem.State` | `fromValue(java.lang.String value)`
    `int` | `getIntValue()`
    `java.lang.String` | `getValue()`
    `boolean` | `isDone()`
    `static InventoryMetadataItem.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InventoryMetadataItem.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final InventoryMetadataItem.State UNKNOWN

      Transient state when the inventory build has not yet started.

    - #### BUILDING

          public static final InventoryMetadataItem.State BUILDING

      The inventory list is being built on the host.

    - #### COMPLETE

          public static final InventoryMetadataItem.State COMPLETE

      The inventory scan has been completed.

    - #### FAILED

          public static final InventoryMetadataItem.State FAILED

      The inventory scan has failed.

    - #### REQUESTED_USER

          public static final InventoryMetadataItem.State REQUESTED_USER

      The inventory scan has been requested by a user.

  - ### Method Detail

    - #### values

          public static InventoryMetadataItem.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InventoryMetadataItem.State c : InventoryMetadataItem.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InventoryMetadataItem.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### getIntValue

          public int getIntValue()

    - #### isDone

          public boolean isDone()

    - #### fromValue

          public static InventoryMetadataItem.State fromValue(java.lang.String value)

    - #### fromValue

          public static InventoryMetadataItem.State fromValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.